n=100;

B=[2*eye(n) -eye(n); -eye(n) 2*eye(n)];
A= sparse(B);

b=rand(2*n, 1);

t0=cputime;
x=B\b;

tiempo_full=cputime-t0

t0=cputime;
y=A\b;
Tiempo_sparse=cputime-t0

D=diag(diag(A));
L=-(tril(A)-D);
U=-(triu(A)-D);
J=D\(L+U);